# script_info.cpp File Reference

Implementation of ScriptFileInfo. More...

`#include "../stdafx.h"`
`#include "squirrel_helper.hpp"`
`#include "script_info.hpp"`
`#include "script_scanner.hpp"`

Go to the source code of this file.

## Variables
static const int | MAX_GET_OPS = 1000
| Number of operations to get the author and similar information.
static const int | MAX_CREATEINSTANCE_OPS = 100000
| Number of operations to create an instance of an AI.

## Detailed Description

Implementation of ScriptFileInfo.

Definition in file script_info.cpp.

## Variable Documentation

const int MAX_CREATEINSTANCE_OPS = 100000`[static]`

Number of operations to create an instance of an AI.

Definition at line 22 of file script_info.cpp.

Referenced by ScriptFileInfo::Constructor().

const int MAX_GET_OPS = 1000`[static]`

Number of operations to get the author and similar information.

Definition at line 20 of file script_info.cpp.

Referenced by ScriptFileInfo::Constructor().